Package com.sun.jna

# Class FunctionResultContext

java.lang.Object
com.sun.jna.FromNativeContext
com.sun.jna.FunctionResultContext

Direct Known Subclasses:
  `MethodResultContext`

public class FunctionResultContext extends FromNativeContext
Provide result conversion context for a function call.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FunctionResultContext(Class<?> resultClass, Function function, Object[] args)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getArguments()`
  `Function`
  `getFunction()`

  ### Methods inherited from class com.sun.jna.FromNativeContext

  `getTargetType`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FunctionResultContext

    FunctionResultContext(Class<?> resultClass, Function function, Object[] args)

- ## Method Details

  - ### getFunction

    public Function getFunction()
    Returns:
      The `Function` that was invoked.

  - ### getArguments

    public Object[] getArguments()
    Returns:
      The arguments used in this function call.